[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [linux-lvm] VFS lock patch and recent 2.4 kernels...



On Fri, 30 Sep 2005, Ben Poliakoff wrote:

> This must be in a FAQ somewhere, but I haven't found it yet.
> 
> Is the VFS lock patch is still required, to support lvm snapshots with
> journaling filesystems, for current 2.4 kernels (i.e. 2.4.31)?   If the
> patch *is* still required has anyone updated it for a recent 2.4
> release?  
> 
> The most recent versions of the patch that I've found seemed to go up to
> 2.4.20.  Has the patch been merged with the vanilla 2.4 kernel?

it hasn't been merged, it's still required... if you google for 
linux-2.4.22-VFS-lock.patch you'll find a version included in 
device-mapper tarballs.  it applies fine on recent kernels (modulo the 
dm.c file unless you've also applied device mapper patch).

-dean


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]